aboutsummaryrefslogtreecommitdiffstats
path: root/tools/node_modules/expresso/deps/jscoverage/tests/server-error.sh
diff options
context:
space:
mode:
authorCliff Brake <cbrake@bec-systems.com>2012-08-17 13:43:14 -0400
committerCliff Brake <cbrake@bec-systems.com>2012-08-17 13:43:14 -0400
commita94e78479793722bc97b8771158d1acee3f55413 (patch)
treebf8f79959febb472513b299df99774de524f5fd1 /tools/node_modules/expresso/deps/jscoverage/tests/server-error.sh
parentc11f922b0bfa023a4cf49f26e55aec6a1413344b (diff)
downloadopenembedded-admin-a94e78479793722bc97b8771158d1acee3f55413.tar.gz
add node modules to git
This is now the best practice for deployed apps
Diffstat (limited to 'tools/node_modules/expresso/deps/jscoverage/tests/server-error.sh')
-rwxr-xr-xtools/node_modules/expresso/deps/jscoverage/tests/server-error.sh61
1 files changed, 61 insertions, 0 deletions
diff --git a/tools/node_modules/expresso/deps/jscoverage/tests/server-error.sh b/tools/node_modules/expresso/deps/jscoverage/tests/server-error.sh
new file mode 100755
index 0000000..c2a47c4
--- /dev/null
+++ b/tools/node_modules/expresso/deps/jscoverage/tests/server-error.sh
@@ -0,0 +1,61 @@
+#!/bin/sh
+# server-error.sh - test jscoverage-server with invalid options
+# Copyright (C) 2008 siliconforks.com
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+export PATH=.:..:$PATH
+
+! jscoverage-server --report-dir > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server --document-root > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server --ip-address > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server --no-instrument > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server --port > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server --foo > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server foo > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server --port x > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server --port 123456 > OUT 2> ERR
+test ! -s OUT
+test -s ERR
+
+! jscoverage-server --encoding > OUT 2> ERR
+test ! -s OUT
+test -s ERR